| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
BinIDValueSet Class Reference
General

A Pos::IdxPairValueSet with BinIDs. More...

`#include <binidvalset.h>`

Inheritance diagram for BinIDValueSet:
[legend]

## Public Member Functions
| BinIDValueSet (const BinIDValueSet &)
| BinIDValueSet (int nrvals, bool allowdup)
| ~BinIDValueSet ()
void | allowDuplicateBinIDs (bool yn)
BinID | firstBinID () const
OD::GeomSystem | geomSystem () const
BinID | getBinID (const SPos &spos) const
bool | hasDuplicateBinIDs () const
bool | is2D () const
bool | nrDuplicateBinIDs () const
BinIDValueSet & | operator= (const BinIDValueSet &)
void | setIs2D (bool yn)
void | setStepout (const IdxPair &stepout, const IdxPair &step)
void | setStepout (int trcstepout, int trcstep=1)
Public Member Functions inherited from Pos::IdxPairValueSet
| IdxPairValueSet (const IdxPairValueSet &)
| IdxPairValueSet (int nr_vals, bool allow_duplicate_idxpairs)
virtual | ~IdxPairValueSet ()
SPos | add (const DataRow &)
| Wrong-sized will be handled correctly.
SPos | add (const IdxPair &, const float *vs=0)
| Either pass sufficient data or pass null.
SPos | add (const IdxPair &, const TypeSet< float > &)
SPos | add (const IdxPair &, double)
SPos | add (const IdxPair &, float)
SPos | add (const IdxPair &, float, float)
SPos | add (const PairVal &)
void | add (const PosInfo::CubeData &)
void | allowDuplicateIdxPairs (bool yn)
bool | allowsDuplicateIdxPairs () const
bool | append (const IdxPairValueSet &)
Interval< int > | colRange (IdxType row=-1) const
void | copyStructureFrom (const IdxPairValueSet &)
| will also empty this set
Interval< int > | crlRange (IdxType inl=-1) const
void | extend (const IdxPairDelta &stepout, const IdxPairStep &)
| Adds only IdxPair postions not yet in set.
void | fillPar (IOPar &, const char *key) const
SPos | find (const IdxPair &ip) const
SPos | findNearest (const IdxPair &) const
SPos | findNearestOnFirst (int frst, int scnd) const
SPos | findOccurrence (const IdxPair &, int occ=0) const
int | firstAtIdx (int firstidx) const
int | firstIdx (int) const
IdxPair | firstIdxPair () const
| if empty, returns IdxPair::udf()
Interval< IdxType > | firstRange () const
void | get (const SPos &, DataRow &) const
void | get (const SPos &, IdxPair &, float &) const
void | get (const SPos &, IdxPair &, float &, float &) const
void | get (const SPos &, IdxPair &, float *v=0, int mxnrvals=-1) const
void | get (const SPos &, IdxPair &, TypeSet< float > &, int maxnrvals=-1) const
| max == -1 => all
void | get (const SPos &, PairVal &) const
void | getColumn (int valnr, TypeSet< float > &, bool incudf) const
bool | getFrom (od_istream &, Pos::GeomID=Pos::GeomID::udf())
| detects/converts coords if geomid passed
IdxPair | getIdxPair (const SPos &) const
SPos | getPos (od_int64 global_idx) const
| Slow. And no check on idx in range.
void | getSecondsAtIdx (int firstidx, TypeSet< int > &) const
float | getVal (const SPos &pos, int valnr) const
| < Direct access to value arrays.
float * | getVals (const SPos &pos)
| Direct access to value arrays.
const float * | getVals (const SPos &pos) const
| Direct access to value arrays.
bool | hasCol (IdxType col) const
bool | hasCrl (IdxType crl) const
bool | hasDuplicateIdxPairs () const
bool | hasFirst (IdxType) const
bool | hasInl (IdxType inl) const
bool | hasRow (IdxType row) const
bool | hasSecond (IdxType) const
bool | haveDataRow (const DataRow &) const
bool | includes (const DataRow &) const
bool | includes (const IdxPair &ip) const
Interval< int > | inlRange () const
bool | insertVal (int)
bool | isEmpty () const
bool | isValid (const IdxPair &) const
bool | next (SPos &, bool skip_duplicate_idxpairs=false) const
int | nrCols (IdxType row) const
int | nrCrls (IdxType inl) const
int | nrDuplicateIdxPairs () const
int | nrFirst () const
int | nrInls () const
int | nrPos (int lineidx) const
| nth line in the set
int | nrRows () const
int | nrSecond (IdxType firstidx) const
int | nrVals () const
IdxPairValueSet & | operator= (const IdxPairValueSet &)
bool | prev (SPos &, bool skip_duplicate_idxpairs=false) const
bool | putTo (od_ostream &) const
void | randomSubselect (od_int64 maxnr)
void | remove (const IdxPairValueSet &)
void | remove (const SPos &)
| afterwards, SPos may be invalid
void | remove (const TrcKeySampling &hrg, bool inside)
void | remove (const TypeSet< SPos > &)
void | removeDuplicateIdxPairs ()
void | removeRange (int valnr, const Interval< float > &, bool inside=true)
void | removeVal (int)
| Will remove entire 'column'.
Interval< int > | rowRange () const
int | secondIdx (int firstidx, int) const
Interval< IdxType > | secondRange (IdxType firsidx=-1) const
void | set (const SPos &, const TypeSet< float > &)
void | set (const SPos &, float)
void | set (const SPos &, float, float)
void | set (SPos, const float *vs=0)
void | setEmpty ()
bool | setNrVals (int, bool kp_data=true)
void | sortDuplicateIdxPairs (int value_nr, bool ascending=true)
od_int64 | totalSize () const
void | usePar (const IOPar &, const char *key)
Interval< float > | valRange (int valnr) const

## Static Protected Member Functions
static BinID | mkBinID (const Pos::IdxPair &ip)

## Private Member Functions
void | addHorPosIfNeeded (const Pos::IdxPair &)

## Private Attributes
bool | is2d_ = false

## Friends
class | DataPointSet
class | PosVecDataSet

## Additional Inherited Members
Public Types inherited from Pos::IdxPairValueSet
typedef IdxPairValues< IdxPair, float > | DataRow
typedef IdxPair::IdxType | IdxType
typedef ValueIdxPair< IdxPair, float > | PairVal
Protected Member Functions inherited from Pos::IdxPairValueSet
void | addNew (SPos &, IdxType, const float *)
IdxType | getFrst (const SPos &pos) const
IdxType | getScnd (const SPos &pos) const
TypeSet< IdxType > & | getScndSet (const SPos &pos)
const TypeSet< IdxType > & | getScndSet (const SPos &pos) const
TypeSet< IdxType > & | getScndSet (int idx)
const TypeSet< IdxType > & | getScndSet (int idx) const
TypeSet< float > & | getValSet (const SPos &pos)
const TypeSet< float > & | getValSet (const SPos &pos) const
TypeSet< float > & | getValSet (int idx)
const TypeSet< float > & | getValSet (int idx) const
void | removeLine (int idx)
void | sortPart (TypeSet< IdxType > &, TypeSet< float > &, int, int, int, bool)
void | updNearest (const IdxPair &, const SPos &, od_int64 &, SPos &) const
Protected Attributes inherited from Pos::IdxPairValueSet
bool | allowdup_
TypeSet< IdxType > | frsts_
const int | nrvals_
ObjectSet< TypeSet< IdxType > > | scndsets_
ObjectSet< TypeSet< float > > | valsets_

## Detailed Description

A Pos::IdxPairValueSet with BinIDs.

<>

## Constructor & Destructor Documentation

## ◆ BinIDValueSet() [1/2]

BinIDValueSet::BinIDValueSet | ( | int | nrvals,
|  | bool | allowdup )

## ◆ BinIDValueSet() [2/2]

BinIDValueSet::BinIDValueSet | ( | const BinIDValueSet & |  | ) |

## ◆ ~BinIDValueSet()

BinIDValueSet::~BinIDValueSet | ( |  | ) |

## Member Function Documentation

## ◆ addHorPosIfNeeded()

void BinIDValueSet::addHorPosIfNeeded | ( | const Pos::IdxPair & |  | ) |
| private

## ◆ allowDuplicateBinIDs()

void BinIDValueSet::allowDuplicateBinIDs | ( | bool | yn | ) |
| inline

## ◆ firstBinID()

BinID BinIDValueSet::firstBinID | ( |  | ) | const
| inline

## ◆ geomSystem()

OD::GeomSystem BinIDValueSet::geomSystem | ( |  | ) | const

## ◆ getBinID()

BinID BinIDValueSet::getBinID | ( | const SPos & | spos | ) | const
| inline

## ◆ hasDuplicateBinIDs()

bool BinIDValueSet::hasDuplicateBinIDs | ( |  | ) | const
| inline

## ◆ is2D()

bool BinIDValueSet::is2D | ( |  | ) | const

## ◆ mkBinID()

static BinID BinIDValueSet::mkBinID | ( | const Pos::IdxPair & | ip | ) |
| inline static protected

## ◆ nrDuplicateBinIDs()

bool BinIDValueSet::nrDuplicateBinIDs | ( |  | ) | const
| inline

## ◆ operator=()

BinIDValueSet & BinIDValueSet::operator= | ( | const BinIDValueSet & |  | ) |

## ◆ setIs2D()

void BinIDValueSet::setIs2D | ( | bool | yn | ) |

## ◆ setStepout() [1/2]

void BinIDValueSet::setStepout | ( | const IdxPair & | stepout,
|  | const IdxPair & | step )

## ◆ setStepout() [2/2]

void BinIDValueSet::setStepout | ( | int | trcstepout,
|  | int | trcstep = 1 )

## Friends And Related Symbol Documentation

## ◆ DataPointSet

friend class DataPointSet
| friend

## ◆ PosVecDataSet

friend class PosVecDataSet
| friend

## Member Data Documentation

## ◆ is2d_

bool BinIDValueSet::is2d_ = false
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025